function OnOpenWebSocketBroadcast()
{
	document.getElementById("message").innerHTML = 'Connexion Broadcast Ok ...';
	SetBody();
}

function OnCloseWebSocketBroadcast()
{
	document.getElementById("message").innerHTML = 'Connexion Broadcast Ko !!!';
}

function OnFlowTiming(objJSON) 
{
	const elClock = document.getElementById("clock");
	if (elClock != null)
	{
		elClock.innerHTML = objJSON.counter;
	}
}

function OnNotifyKP(objJSON) 
{
	if (objJSON.action == 'goal_left')
		++wsContext.goal_left;
		
	if (objJSON.action == 'goal_right')
		++wsContext.goal_right;
	
	SetScore();
}

function SetScore()
{
	const elScore = document.getElementById("score");
	if (elScore != null)
	{
		elScore.innerHTML = wsContext.goal_left + ' - '+ wsContext.goal_right;
	}
}

function SetBody()
{
	var html;
	html  = '<form>';

	html += '<h3 class="text-center">KP Score <span id="clock" class="badge bg-success">23h59.59.9</span></h3>';
	
	html += '<div class="row"><h1 id="score">';
	html += wsContext.goal_left;
	html += ' - ';
	html += wsContext.goal_right;
	html += '</h1></div>';

	document.getElementById("main").innerHTML = html;
}

function Init()
{
	wsContext.lang = 'en';
	wsContext.url = wsParams.url;
	wsContext.port = wsParams.port;
	
	wsContext.goal_left = 0;
	wsContext.goal_right = 0;
	
	// Flow Notification
	wsContext.mapFlow.set('<timing>', OnFlowTiming);

	// Broadcast Notification
	wsContext.mapBroadcast.set('<kp>', OnNotifyKP);
			
	// Ouverture ws 
	wsContext.OpenWebSocketBroadcast(OnOpenWebSocketBroadcast, OnCloseWebSocketBroadcast);
	wsContext.OpenWebSocketFlow();
}
