const ski = {};

ski.GetCodeEvenement = function()
{
	if (typeof wsContext.notify_race === "object")
		return parseInt(wsContext.notify_race.Code_evenement);
	else
		return 0;
}

ski.GetCodeEpreuve = function()
{
	if (typeof wsContext.notify_race === "object")
		return parseInt(wsContext.notify_race.Code_epreuve);
	else
		return 0;
}

ski.GetCodeManche = function()
{
	if (typeof wsContext.notify_race === "object")
		return parseInt(wsContext.notify_race.Code_manche);
	else
		return 0;
}

ski.GetNbManche = function()
{
	if (typeof wsContext.notify_race === "object")
		return parseInt(wsContext.notify_race.Nb_manche);
	else
		return 0;
}

ski.GetNbInter = function()
{
	if (typeof wsContext.notify_race === "object")
		return parseInt(wsContext.notify_race.Nb_inter);
	else
		return 0;
}

ski.GetCodeActivite = function()
{
	if (typeof wsContext.notify_race === "object")
	{
		const tEvenement = adv.GetTable(wsContext.notify_race, 'Evenement');
		if (typeof tEvenement === "object")
			return tEvenement.GetCell('Code_activite', 0);
	}
	return '?';
}	

ski.GetCodeEntite = function()
{
	if (typeof wsContext.notify_race === "object")
	{
		const tEvenement = adv.GetTable(wsContext.notify_race, 'Evenement');
		if (typeof tEvenement === "object")
			return tEvenement.GetCell('Code_entite', 0);
	}
	return '?';
}	

ski.GetCategInfo = function(code_categ, field_name)
{
	if (typeof wsContext.notify_race === "object")
	{
		const tCategorie = adv.GetTable(wsContext.notify_race, 'Categorie');
		if (typeof tCategorie === "object")
		{
			for (let r = 0; r < tCategorie.GetNbRows(); r++)
			{
				if (tCategorie.GetCell('Code', r) == code_categ)
					return tCategorie.GetCell(field_name,r);
			}
		}
	}
	return '';
}

ski.GetStringEpreuve = function(current_epreuve)
{
	if (typeof wsContext.notify_race === "object")
	{
		const tEpreuve = adv.GetTable(wsContext.notify_race, 'Epreuve');
		if (typeof tEpreuve === "object")
		{
			for (let r = 0; r < tEpreuve.GetNbRows(); r++)
			{
				if (tEpreuve.GetCellInt('Code_epreuve',r) == current_epreuve)
				{
					var txtEpreuve = tEpreuve.GetCell('Code_categorie',r);
					if (tEpreuve.GetCell('Sexe',r) != 'T')
						txtEpreuve += '/'+tEpreuve.GetCell('Sexe',r);
					
					if (tEpreuve.GetCell('Distance',r) != '')
						txtEpreuve += ' - '+tEpreuve.GetCell('Distance',r);
						
					return txtEpreuve;
				}
			}
		}
	}
	return '?';
}

ski.GetHeureDepart = function(current_epreuve)
{
	if (typeof wsContext.notify_race === "object")
	{
		const tEpreuve = adv.GetTable(wsContext.notify_race, 'Epreuve');
		if (typeof tEpreuve === "object")
		{
			for (let r = 0; r < tEpreuve.GetNbRows(); r++)
			{
				if (tEpreuve.GetCellInt('Code_epreuve',r) == current_epreuve)
				{
					var HeureDepart_Epreuve = tEpreuve.GetCellInt('Heure_depart',r);
						
					return HeureDepart_Epreuve;
				}
			}
		}
	}
	return '?';
}