function OnOpenWebSocketCommand()
{
    document.getElementById("container_message").innerHTML = 'Connection OK';

    // La connexion web-socket a pu s'établir ... 
    // On indique sur quel terrain on est à l'écoute par la variable wsContext.pitch (1,2, ... * = tous les terrains ...)
    wsContext.wsCommand.send(JSON.stringify({p:wsContext.pitch, connect:'reader' }));
}

function OnFlowPitch(objJSON)
{
	document.getElementById("container_message").innerHTML = JSON.stringify(objJSON)+'<br>'+document.getElementById("container_message").innerHTML;
}

function Init()
{
	wsContext.url = 'ws://192.168.74.102';
//	wsContext.url = 'wss://localhost';
	wsContext.port = 20000;

//	wsContext.url = 'wss://kp.agilsport.fr';
//	wsContext.port = 7443;
//	wsContext.port = 33330;

    // Kayak Polo : la clé se base sur p = pitch 
    wsContext.key = 'p'; 

	const queryString = window.location.search;
	const urlParams = new URLSearchParams(queryString);

	wsContext.pitch = '';
	
	if (urlParams.has('pitch'))
		wsContext.pitch = urlParams.get('pitch')

	// Command Notification
	wsContext.mapCommand.set('*', OnFlowPitch);
	
	// Ouverture ws 
	wsContext.OpenWebSocketCommand(OnOpenWebSocketCommand);
}
