function OnOpenWebSocketCommand()
{
	document.getElementById("container_message").innerHTML = 'Connection Writer Pitch '+wsContext.pitch+' Ok !';
}

function onSendPeriod()
{
	Beep();
	wsContext.wsCommand.send(JSON.stringify({"p":wsContext.pitch,"t":"period","v":"M2","v2":"2.0","v3":3}));
}

function onSendChrono()
{
	Beep();
	wsContext.wsCommand.send(JSON.stringify({"p":wsContext.pitch,"t":"chrono","v":{"time":"0:08.7","run":true}}));
}

function Beep() 
{
	var audio = new Audio('./sound/beep.wav');
	audio.play();
}

function Init()
{
	wsContext.url = 'ws://192.168.74.102';
	wsContext.port = 20000;
	
//	wsContext.url = 'wss://kp.agilsport.fr';
//	wsContext.port = 33330;
//	wsContext.port = 7443;

    // Kayak Polo : la clé se base sur p = pitch 
    wsContext.key = 'p'; 

	const queryString = window.location.search;
	const urlParams = new URLSearchParams(queryString);

	wsContext.pitch = '';
	
	if (urlParams.has('pitch'))
		wsContext.pitch = urlParams.get('pitch')
	
	// Ouverture ws 
	wsContext.OpenWebSocketCommand(OnOpenWebSocketCommand);
}
